Bug 619333 - [abrt] crash in yumex-2.9.9-2.fc13: connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "EnumerateDevices" with signature "" on interface "org.freedesktop.UDisks" doesn't exist
Summary: [abrt] crash in yumex-2.9.9-2.fc13: connection.py:630:call_blocking:DBusExcep...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex   
(Show other bugs)
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:08997608
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-29 10:03 UTC by marian.trizuliak
Modified: 2010-08-19 01:10 UTC (History)
3 users (show)

Fixed In Version: yumex-2.9.10-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-13 21:11:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.67 KB, text/plain)
2010-07-29 10:03 UTC, marian.trizuliak
no flags Details

Description marian.trizuliak 2010-07-29 10:03:53 UTC
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/python /usr/share/yumex/yumex.pyc
component: yumex
executable: /usr/share/yumex/yumex.pyc
kernel: 2.6.33.6-147.fc13.i686.PAE
package: yumex-2.9.9-2.fc13
reason: connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "EnumerateDevices" with signature "" on interface "org.freedesktop.UDisks" doesn't exist
release: Fedora release 13 (Goddard)

Comment 1 marian.trizuliak 2010-07-29 10:03:55 UTC
Created attachment 435242 [details]
File: backtrace

Comment 2 Tim Lauridsen 2010-07-30 08:05:56 UTC
Hi Alsadi

Could you please take a look of this one, look like we need some extra try/except code in the media handling code.

Tim

Comment 3 Muayyad Alsadi 2010-07-30 10:51:36 UTC
I have fixed that in 2010-07-07

https://bugzilla.redhat.com/show_bug.cgi?id=599223#c7

and you committed it 2010-07-09

http://git.fedorahosted.org/git/?p=yumex.git;a=commitdiff;h=75da58d3022ed72e61a5ae50dbcb188c62b27354

but for some reason it's not in the rpm package

grep ' .*/UDisks' /usr/lib/python2.6/site-packages/yumexbackend/yumMediaManagerUDisks.py
        self.__dev = bus.get_object(interface, "/org/freedesktop/UDisks/Disks")

as you can see it uses  "/org/freedesktop/UDisks/Disks" typo not the right one /org/freedesktop/UDisks

Comment 4 Tim Lauridsen 2010-07-30 11:11:04 UTC
fine, I will make a new release very soon so we can get you fix out to the users :)

Comment 5 Fedora Update System 2010-07-30 12:17:06 UTC
yumex-2.9.10-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yumex-2.9.10-1.fc13

Comment 6 Fedora Update System 2010-07-30 12:17:26 UTC
yumex-2.9.10-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/yumex-2.9.10-1.fc14

Comment 7 Fedora Update System 2010-07-30 21:19:35 UTC
yumex-2.9.10-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yumex'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/yumex-2.9.10-1.fc14

Comment 8 Fedora Update System 2010-08-03 00:36:16 UTC
yumex-2.9.10-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yumex'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/yumex-2.9.10-1.fc13

Comment 9 Fedora Update System 2010-08-13 21:11:11 UTC
yumex-2.9.10-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-08-19 01:10:04 UTC
yumex-2.9.10-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.